%define build_timestamp %{lua: print(os.date("%Y%m%d"))}
%define debug_package %{nil}

Name:    dns-proxy
Version: 1.0
Release: 2.%{build_timestamp}%{?dist}
Summary: A transparent DNS-over-SOCKS proxy for use with transparent SOCKS proxies.
License: GPLv3
URL:     https://github.com/cookiengineer/dns-proxy
Source0: https://github.com/cookiengineer/dns-proxy/archive/master.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires: gcc make
%if 0%{?fedora} > 28
BuildRequires: systemd-rpm-macros
%endif
%if 0%{?rhel} == 7
BuildRequires: devtoolset-8-gcc
%endif

%description
A transparent DNS-over-SOCKS proxy for use with transparent SOCKS proxies.

%prep
%setup -n %{name}-master

%build
%if 0%{?rhel} == 7
scl enable devtoolset-8 -- make
%else
make
%endif

%install
install -D -p -m 755 dns-proxy %{buildroot}/%{_bindir}/dns-proxy
install -D -p -m 644 package/arch-linux/dns-proxy.service %{buildroot}%{_unitdir}/dns-proxy.service
install -D -p -m 644 dns-proxy.conf %{buildroot}%{_sysconfdir}/%{name}/dns-proxy.conf
install -D -p -m 644 resolv.conf %{buildroot}%{_sysconfdir}/%{name}/resolv.conf


%files
%{_bindir}/dns-proxy
%{_unitdir}/dns-proxy.service
%license LICENSE
%config(noreplace) %{_sysconfdir}/%{name}/dns-proxy.conf
%config(noreplace) %{_sysconfdir}/%{name}/resolv.conf


%changelog
* Thu Mar 19 2020 Alex <redhat@att.org.ru> - 1.0
- Initial build.

